# Class StreamingFailedToSelectNextSegmentError

#### Hierarchy

- StreamingError
  - StreamingFailedToSelectNextSegmentError

#####
Index

### Constructors

constructor

### Properties

category
code
reason

## Constructors

### constructor

- new StreamingFailedToSelectNextSegmentError(reason): StreamingFailedToSelectNextSegmentError

- #### Parameters

  - reason: string

  #### Returns StreamingFailedToSelectNextSegmentError

  Overrides StreamingError.constructor

## Properties

### `Readonly` category

category: Streaming = ErrorCategory.Streaming

Inherited from StreamingError.category

### `Readonly` code

code: StreamingFailedToSelectNextSegment = ErrorCode.StreamingFailedToSelectNextSegment

Overrides StreamingError.code

### `Readonly` reason

reason: string